﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.Demo.Pacman {
	static class Constants {

		///<summary>Defines a time period for ghost escaping</summary>
		public const float GHOST_ESCAPE_TIME_BASE = 10.0f;

		///<summary>Defines a time period for flashing for ghost escaping</summary>
		public const float GHOST_ESCAPE_FLASHING_TIME = 3.0f;

		///<summary>Defines a distance for ghost/</summary>
		public const float UNIT_INTERACTION_DISTANCE = 0.6f;

		///<summary>Score value for consuming small point</summary>
		public const int SMALL_POINT_SCORE = 10;

		///<summary>Score value for consuming big point</summary>
		public const int BIG_POINT_SCORE = 100;

		///<summary>Hit scores</summary>
		public static readonly int[] HIT_SCORES = new int[] { 200, 400, 800, 1600 };
	}
}
