﻿using System;
using System.Collections.Generic;
using System.Text;
using Vortex.Drawing;
using Vortex.SceneFramework;

namespace Vortex.Demo.Pacman {

	/// <summary>
	/// Encapsulation of graphics assets for Pacman world
	/// </summary>
	public class WorldAssets {
		[ResourceRef]
		public SpriteGrid WallTiles { get; set; }
		[ResourceRef]
		public SpriteGrid DotsTiles { get; set; }

		[ResourceRef("Pacman Medium")]
		public SpriteFont MiddleFont { get; set; }
	}
}
