﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework.Gui {

	/// <summary>
	/// Very simple panel with background only
	/// </summary>
	public class Panel : ViewNode {

		/// <summary>
		/// Draws the panel background only
		/// </summary>
		/// <param name="canvas">The canvas to use for element drawing.</param>
		protected override void Draw(Vortex.Drawing.Canvas2D canvas) {
			//only background is going to be drawn
			DrawBackground(canvas, BoundingBox);
		}
	}
}
