﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {

	/// <summary>
	/// It defines implementation of text property and allows text assignment from InnerHTML in layout.xml
	/// </summary>
	public interface ITextNode {

		/// <summary>
		/// Gets or sets the text of graph element.
		/// </summary>
		/// <value>The text of graph element.</value>
		string Text { get; set; }
	}
}
