﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.Drawing {

	/// <summary>
	/// Contains information about shader parameter constant
	/// </summary>
	struct ShaderParam {
		IntPtr _handle;

		/// <summary>
		/// Gets the handle of shader param.
		/// </summary>
		/// <value>The handle of shader param.</value>
		public IntPtr Handle {
			get { return _handle; }
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="ShaderParam"/>.
		/// </summary>
		/// <param name="handle">The handle of constant.</param>
		public ShaderParam(IntPtr handle) {
			_handle = handle;
		}
	}
}
