﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Vortex.Tools.FormControls {

	public delegate void ColorChangeEventHandler(object sender, ColorChangeEventArgs args);

	///<summary>Color change event args</summary>
	public class ColorChangeEventArgs : EventArgs {
		public Color Color { get; set; }

		public ColorChangeEventArgs(Color color) {
			Color = color;
		}
	}
}
