﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Vortex {
    static class Program {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main (string[] args) {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            if (args.Length == 0) {
                Application.Run(new TutorialBrowser.BrowserForm());
            } else {
				//launch application
                Tutorials.Launcher.Launch (args[0].ToLower().Replace("-id:", "") );
            }
        }
    }
}
