﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex {

	/// <summary>
	/// Defines simple state holding interface
	/// </summary>
	/// <typeparam name="T"></typeparam>
	public interface IStateHolder<T> {

		/// <summary>
		/// Gets or sets the state.
		/// </summary>
		/// <value>The state.</value>
		T State { get; set; }
	}
}
