﻿struct VS_IN {
	float4 Pos		: POSITION;
	float4 Diffuse	: DIFFUSE;
	float2 Tex0    	: TEXCOORD0;
	float2 Tex1     : TEXCOORD1;
};

struct VS_OUT {
  float4 Pos : POSITION;
  float4 Color : COLOR0;
  float2 Tex0 : TEXCOORD0;
  float2 Tex1 : TEXCOORD1;
};

float2x3 VIEW_TRANSFORM;

float2 __TransformXY(float2 pos) {
	float3 pos3 = float3(pos.x, pos.y, 1);
	return mul(VIEW_TRANSFORM, pos3).xy;
}
