﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Vortex.IO {

	/// <summary>
	/// Defines interface for different resource file providers
	/// </summary>
	interface IResourceProvider {
		/// <summary>
		/// Opens the reading stream for resource.
		/// </summary>
		/// <returns></returns>
		Stream OpenStream();
	}
}
